| Bsoft 2.0.5 Bernard's software package

Functions | Variables
b3v.cpp File Reference

Program to extract 3 orthogonal views from a map. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to extract 3 orthogonal views from a map.

Author
  Bernard Heymann

Date
  Created: 20100428
  Modified: 20150718

Definition in file b3v.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 41 of file b3v.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: b3v [options] input.img output.img",
"-----------------------------------------",
"Generates 3 orthogonal views of a map.",
" ",
"Actions:",
"-orthogonal 24,67,45 Extract orthogonal slices around this voxel.",
" The voxel can be specified as center or origin.",
"-montage 2 Montage the slices into a number of columns.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-select 5 Image number.",
"-size 100,80,120 Size of orthogonal slices to extract.",
"-pad 5 Padding to add around slices or images (default 0).",
"-fill 127 Fill value for padding (default average).",
" ",
NULL
}

Definition at line 19 of file b3v.cpp.

## ◆ verbose

int verbose